/form/{key}
1 min
GET
/_form/v1/form/{key}
Path Parameters
- keystringrequired
Query Parameters
- localestring
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/jsonapplication/problem+json
Responses
200
- FormContainer
- keystringDefault41A07E4D3A634CC581F399CAAC75789C
- propertiesmap<string, string>Default{ "title":"", "allowToStoreSubmissionData":true, "description":"", "showSummarizedData":false, "confirmationMessage":"", "resetConfirmationMessage":"", "redirectToPage":"", "submitSuccessMessage":"", "allowAnonymousSubmission":false, "allowMultipleSubmission":false, "showNavigationBar":false }
- formElementsFormElement[]
- keystring
- contentTypestring
- displayNamestring
- propertiesmap<string, string>
- localestring
- localizationsmap<string, string>
- localestringDefaulten
- localizationsmap<string, string>Default{ "allowAnonymousSubmissionErrorMessage":"You must be logged in to submit this form. If you are logged in and still cannot post, make sure 'Do not track' in your browser settings is disabled.", "allowMultipleSubmissionErrorMessage":"You already submitted this form." }
400
403
404
500
curl
curl --request GET \
--url /_form/v1/form/{key} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("/_form/v1/form/{key}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("/_form/v1/form/{key}")
http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = http.request(request)
puts response.read_body
python
import requests
import json
url = "/_form/v1/form/{key}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Success
{
"key": "",
"properties": "",
"formElements": [
{
"key": "",
"contentType": "",
"displayName": "",
"properties": "",
"locale": "",
"localizations": ""
}
],
"locale": "",
"localizations": ""
}400
// Bad Request
403
// Forbidden
404
// Not Found
500
// Internal Server Error